Name: crashecho
Version: 0.2.14
Release: alt1

Summary: An FTN JAM and *.MSG tosser
License: Freely Distributable
Group: Communications
URL: http://hell.binec.ru/crashecho
Source: ftp://hell.binec.ru/pub/ftn/crashecho/%name-%version.tar.gz
Requires: ftn >= 2.2-alt2, jamlib >= 1.4

# Automatically added by buildreq on Mon Oct 28 2002 and filtered bu raorn ;-)
BuildRequires: jamlib-devel => 1.4

%description
CrashEcho is a successor of a CrashMail II tosser originally written
by Johan Billing.

%prep
%setup -q

%build
%configure --with-config=%_sysconfdir/ftn/crashecho.conf
%make_build

%install
%makeinstall

%__mkdir_p %buildroot%_sysconfdir/ftn
%__install -p -m600 -D doc/crashecho.conf %buildroot%_sysconfdir/ftn/crashecho.conf
%__install -p -m644 -D doc/areas.conf %buildroot%_sysconfdir/ftn/areas.conf

%triggerpostun -- %name < 0.2.13
DUPES=`%__grep -E '^\s*DUPEFILE' %_sysconfdir/ftn/crashecho.conf | %__awk '{print $2}' | %__sed -e 's/^"//; s/"$//'`
if test -n "$DUPES" -a -f "$DUPES"; then
	echo "Rebuilding dupe database $DUPES..."
	%_bindir/crashconvdupebase "$DUPES"
fi
exit 0

%post
for i in crashecho.log; do
  if [ ! -f "%_logdir/ftn/$i" ]; then
    :>> "%_logdir/ftn/$i"
    %__chown ftn:ftn "%_logdir/ftn/$i"
    %__chmod 640 "%_logdir/ftn/$i"
  fi
done ||:


%files
%doc AUTHORS ChangeLog COPYING COPYING.LIB FAQ.rus INSTALL NEWS README TODO TODO.description
%config(noreplace) %attr(600,ftn,ftn) %_sysconfdir/ftn/crashecho.conf
%config(noreplace) %attr(640,ftn,ftn) %_sysconfdir/ftn/areas.conf
%_bindir/crashconvdupebase
%_bindir/crashecho
%_bindir/crashexport
%_bindir/crashmaint
%_bindir/crashstats
%_bindir/crashwrite
%_datadir/%name/*
%_mandir/man1/crashecho.1*
%_mandir/man1/crashexport.1*
%_mandir/man1/crashmaint.1*
%_mandir/man1/crashstats.1*
%_mandir/man1/crashwrite.1*
%_mandir/man5/crashecho.conf.5*

%changelog
* Mon Oct 28 2002 Sir Raorn <raorn@altlinux.ru> 0.2.14-alt1
- [0.2.14]
- SPP fixes

* Mon Aug 12 2002 Sir Raorn <raorn@altlinux.ru> 0.2.13-alt1
- [0.2.13]
- Some spec cleanups
- trigger to rebuild dupe database to new format

* Mon Mar 04 2002 Sir Raorn <raorn@altlinux.ru> 0.2.12-alt1
- [0.2.12]

* Thu Jan 10 2002 Sir Raorn <raorn@altlinux.ru> 0.2.11-alt1
- [0.2.11]

* Mon Dec 24 2001 Sir Raorn <raorn@altlinux.ru> 0.2.10-alt1
- [0.2.10]

* Mon Dec 03 2001 Sir Raorn <raorn@altlinux.ru> 0.2.9.2-alt1
- Built for Sisyphus
